import PySpice

#spice=spicemodule.SpiceInit()

#import spice,time,sys,atexit
#sys.stderr=spice.SpiceStdErr()
#sys.stdout=spice.SpiceStdOut()
#example=spice.Spice()
#atexit.register(example.finish)

print "Initialized the first script!!"

s2llimit=PySpice.lowerlimit('s2')
print "The lower limit of s2 is " + str(s2llimit)

s2ulimit=PySpice.upperlimit('s2')
print "The upper limit of s2 is " + str(s2ulimit)

emodeval=PySpice.getvar('emode')

PySpice.Command('wait 10')
print "We are about to start the second script"
PySpice.twobuttontimed("Some string from first script",2,1,'blah 1','false blah 1','Test the button')
PySpice.Command('testscript2')
PySpice.Command('comment "This is a test"; wait 5')
print "The second script returned - finishing the first script"



